
From: Bjorn Helgaas <bjorn.helgaas@hp.com>

Fixup after mid-air collision between Christoph adding
time_interpolator.mask, and me removing a static time_interpolator struct
from hpet.

Signed-off-by: Bjorn Helgaas <bjorn.helgaas@hp.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/char/hpet.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN drivers/char/hpet.c~fix-hpet-time_interpolator-registration drivers/char/hpet.c
--- 25/drivers/char/hpet.c~fix-hpet-time_interpolator-registration	2004-11-03 21:34:49.229890336 -0800
+++ 25-akpm/drivers/char/hpet.c	2004-11-03 21:34:49.233889728 -0800
@@ -712,6 +712,7 @@ static void hpet_register_interpolator(s
 	ti->addr = &hpetp->hp_hpet->hpet_mc;
 	ti->frequency = hpet_time_div(hpets->hp_period);
 	ti->drift = ti->frequency * HPET_DRIFT / 1000000;
+	ti->mask = -1;
 
 	hpetp->hp_interpolator = ti;
 	register_time_interpolator(ti);
_
